Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista
Class MetaData

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.MetaData

    public class MetaData

extends java.lang.Object

Version:
  $Id: MetaData.java,v 1.5 2006/09/27 15:00:03 euler Exp $
Author:
  Alessandro Serra

Field Summary
`protected ColumnInfo` | `m_column_to_learn`
`protected java.util.Vector` | `m_columns`
`protected java.lang.String` | `m_table_name`

Constructor Summary
`MetaData()`

Method Summary
`void` | `addColumnInfo(ColumnInfo ci)`
`ColumnInfo` | `findColumnInfo(java.lang.String name)`
`java.util.Vector` | `getColumnInfos()`
`ColumnInfo` | `getColumnToLearn()`
`java.lang.String` | `getTableName()`
`void` | `setColumnToLearn(ColumnInfo ci)`
`void` | `setTableName(java.lang.String n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_table_name

    protected java.lang.String m_table_name

### m_columns

    protected java.util.Vector m_columns

### m_column_to_learn

    protected ColumnInfo m_column_to_learn

Constructor Detail

### MetaData

    public MetaData()

Method Detail

### getTableName

    public final java.lang.String getTableName()

### setTableName

    public final void setTableName(java.lang.String n)

### getColumnToLearn

    public final ColumnInfo getColumnToLearn()

### setColumnToLearn

    public final void setColumnToLearn(ColumnInfo ci)

### getColumnInfos

    public final java.util.Vector getColumnInfos()

### findColumnInfo

    public final ColumnInfo findColumnInfo(java.lang.String name)

### addColumnInfo

    public final void addColumnInfo(ColumnInfo ci)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005